import java.util.*;
public class countingsatellites_xiaowuc1 {
  public static void main(String[] args) throws Exception {
    Scanner sc = new Scanner(System.in);
    long n = sc.nextLong();
    String base = "ETILLET";
    long[][] dp = new long[8][base.length()];
    for(int i = 0; i < base.length(); i++) adj(dp[0], base.charAt(i));
    long addnow = 1;
    for(int q = 1; q < 8; q++) {
      long naddnow = addnow * 2;
      addnow = naddnow;
      long[] ndp = dp[q];
      for(int a = 0; a < base.length(); a++) ndp[a] = dp[q-1][a];
      for(int a = 0; a < base.length(); a++) {
        for(int i = 0; i < naddnow; i++) {
          adj(ndp, base.charAt(a));
        }
      }
    }
    long[] add = new long[8];
    for(int i = add.length-1; i >= 0; i--) {
      add[i] = n / dp[i][base.length()-1];
      n %= dp[i][base.length()-1];
    }
    addnow = 1;
    StringBuilder ret = new StringBuilder();
    for(int i = 0; i < dp.length; i++) {
      for(int a = 0; a < addnow; a++) ret.append("E");
      for(int a = 0; a < addnow; a++) ret.append("T");
      for(int a = 0; a < addnow; a++) ret.append("I");
      for(int a = 0; a < addnow; a++) ret.append("L");
      for(int a = 0; a < addnow; a++) ret.append("L");
      for(int a = 0; a < addnow; a++) ret.append("E");
      for(int a = 0; a < addnow; a++) ret.append("T");
      for(int a = 0; a < add[i]; a++) ret.append("A");
      addnow *= 2;
    }
    ret.append("S");
    ret.reverse();
    System.out.println(ret);
  }
  private static void adj(long[] dp, char ch) {
    if(ch == 'E') {
      dp[5] += dp[4];
      dp[0]++;
    }
    if(ch == 'T') {
      dp[1] += dp[0];
      dp[6] += dp[5];
    }
    if(ch == 'I') {
      dp[2] += dp[1];
    }
    if(ch == 'L') {
      dp[4] += dp[3];
      dp[3] += dp[2];
    }
  }
}